<template>
	<div class="d-flex mt-3 flex-column">
		<h4>{{ sectionTitle }}</h4>
		<div class="d-flex pa-3 align-center" v-for="(item, index) in items" :key="index">
			<div class="section-avatar">
				
				<v-avatar :size="50">
					<v-img :src="item.picture.large"></v-img>
				</v-avatar>
				<v-icon v-if="showStatus" small color="success" class="section-avatar-status">mdi-circle</v-icon>
			</div>
			<span class="ms-3 font-weight-black">{{item.name.first + " " + item.name.last}}</span>
		</div>
	</div>
</template>

<script>
export default {
	name: 'LeftNavigationSection',
	props: {
		sectionTitle: {
			type: String,
			default: '',
		},
		showStatus: {
			type: Boolean,
			default: false,
		},
		items: {
			type: Array,
			default: () => [],
		},
	},
};
</script>

<style lang="scss" scoped>
.section-avatar {
	position: relative;
	.section-avatar-status {
		position: absolute;
		bottom: 0;
		left: 35px;
	}
}
</style>
